<?php

namespace guestbook\system\event\listener;

use wcf\data\definition\DefinitionEditor;
use wcf\system\event\listener\IParameterizedEventListener;

/**
 * Do update actions for guestbook
 *
 * @author 	Marcel Beckers
 * @license	YoureCom License - Commercial (YCLC)  <https://www.yourecom.de/shop/licence-commercial/>
 * @package	de.yourecom.definition2.guestbook
 */
class DefinitionGuestbookListener implements IParameterizedEventListener
{
    /**
     * @inheritDoc
     */
    public function execute($eventObj, $className, $eventName, array &$parameters)
    {
        switch ($eventName) {
            case 'assignSteps':
                $eventObj->steps[] = 'guestbook';
                break;
            case 'defineCountSql':
                if ($eventObj->step == 'guestbook') {
                    $eventObj->sql = "SELECT	COUNT(*) AS count
                                        FROM	guestbook" . WCF_N . "_entry";
                    break;
                }
                
                break;
            case 'doUpdate':
                if ($eventObj->step == 'guestbook') {
                    DefinitionEditor::doMessageUpdate('entryID', 'message', 'guestbook' . WCF_N . '_entry', $eventObj->loopCount);
                }
                break;
        }
    }
}
